=== debian/changelog ===
subsurface (1.2-1) unstable; urgency=low

  * Initial release (Closes: #641903)

 -- Khalid El Fathi <khalid@elfathi.fr>  Thu, 05 Apr 2012 10:45:03 +0200
