=== debian/control ===
Source: subsurface
Section: utils
Priority: optional
Maintainer: Khalid El Fathi <khalid@elfathi.fr>
Build-Depends: autoconf,
               automake,
               debhelper (>= 9),
               dh-autoreconf,
               libdivecomputer-dev,
               libgconf2-dev,
               libgtk2.0-dev,
               libtool,
               libxml2-dev,
               libxslt-dev,
               patch,
               pkg-config,
               txt2html
Standards-Version: 3.9.3
Homepage: http://subsurface.hohndel.org
Vcs-Git: git://git.debian.org/collab-maint/subsurface.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/subsurface.git;a=summary

Package: subsurface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple dive log program written in C
 Subsurface is a simple dive log program written in C by Linus Torvalds.
 .
 It can process XML dive files or work directly with any dive computer supported
 by libdivecomputer. It supports import, PDF export and printing, and produces
 visual dive charts.
