=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_installchangelogs:
	dh_installchangelogs
	txt2html Documentation/user-manual.txt > Documentation/user-manual.html
	cp Documentation/user-manual.txt debian/subsurface/usr/share/doc/subsurface/
	cp Documentation/user-manual.html debian/subsurface/usr/share/doc/subsurface/html

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/subsurface/usr/share/icons/hicolor/scalable/apps/subsurface.svg
