=== debian/watch ===
version=3
http://githubredir.debian.net/github/torvalds/subsurface/v(.*)\.tar\.gz
