=== debian/changelog ===
subsurface (3.0.2-1~exp3) experimental; urgency=low

  *  Add libosmgpsmap-dev dependency for OpenStreetMap support (Closes: #703708)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Mar 2013 16:46:17 +0100

subsurface (3.0.2-1~exp2) experimental; urgency=low

  * Fix the fail to build from sources under Kfreebsd & HURD.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Mar 2013 14:15:29 +0100

subsurface (3.0.2-1~exp1) experimental; urgency=low

  * New upstream release (Closes: #690436)
  * Package moved under the Debian running development group umbrella
    (Closes: #701536)
  * Add myself among the uploaders (validated by Khalid)
  * Update of the watch file (Closes: #695449)
  * Update of the description
  * Depends on libdivecomputer >= 0.3.0
  * Add libsoup2.4-dev as dependency
  * Use libdivecomputer as a shared library (simplifies the maintenance)
    (Closes: #690434)
  * Enable some of the hardening functions
  * Disable the silent build

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Mar 2013 16:56:07 +0100
