=== debian/changelog ===
subsurface (3.1-1) unstable; urgency=low

  * New upstream release
  * Remove patches (updated upstream disable-git-version.diff,
    disable-silent-make.diff, fix-perm.diff, fixftbfs-kfreebsd-gnu.diff)
  * Remove patch as dependency
  * Add libzip-dev and libsqlite3-dev as dependencies

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 May 2013 13:22:32 +0200

subsurface (3.0.2-1) unstable; urgency=low

  * Standards-Version updated to 3.9.4
  * Upload to unstable
  * Package repository moved to the pkg-running team

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 May 2013 16:01:45 +0200
