=== debian/changelog ===
subsurface (3.1.1-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Jul 2013 14:01:36 +0200
