=== debian/control ===
--- 
+++ 
@@ -9,20 +9,21 @@
                debhelper (>= 9),
                dh-autoreconf,
                libdivecomputer-dev (>= 0.3.0),
-               libosmgpsmap-dev, 
+               libosmgpsmap-dev,
                libgconf2-dev,
                libgtk2.0-dev,
                libtool,
                libxml2-dev,
                libxslt-dev,
                libsoup2.4-dev,
-               patch,
                pkg-config,
-               txt2html
-Standards-Version: 3.9.3
+               txt2html,
+               libzip-dev,
+               libsqlite3-dev
+Standards-Version: 3.9.4
 Homepage: http://subsurface.hohndel.org
-Vcs-Git: git://git.debian.org/collab-maint/subsurface.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/subsurface.git;a=summary
+Vcs-Git: git://git.debian.org/pkg-running/subsurface.git
+Vcs-Browser: http://git.debian.org/?p=pkg-running/subsurface.git;a=summary
 
 Package: subsurface
 Architecture: any
