=== debian/changelog ===
subsurface (4.0-1) unstable; urgency=low

  * New (major) upstream release
  * Switch from gtk to qt
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 17 Dec 2013 08:53:30 +0100

subsurface (3.1.1-2) unstable; urgency=low

  * Fix the FTBFS under HURD

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 06 Sep 2013 13:44:50 +0200
