## subsurface 4.0.2

=== Documentation/Makefile ===
--- 
+++ 
@@ -1,3 +1,12 @@
+#
+# in order for "normal" developers not to have to install asciidoc (which
+# brings in a couple hundred MB of dependencies) we now include both the
+# user-manual.txt and a copy of the generated .html file in git
+#
+# in order to avoid unnecessary thrash with minor version differences, when
+# submitting patches to the user manual, only submit the changes to the .txt
+# file - the maintainer will recreate the .html.git file
+
 DOCNAME = user-manual
 DOCSOURCE = $(DOCNAME).txt
 HTMLDOC = $(DOCNAME).html
@@ -18,8 +27,9 @@
 	$(A2X) -f pdf $<
 
 $(OUT)$(HTMLDOC): $(DOCSOURCE)
-	@echo "if asciidoc isn't found no HTML documentation is produced but Subsurface is still functional"
-	$(ASCIIDOC) -a toc -a toclevels=3 -a themedir=$(PWD) -a theme=$(THEME) -a stylesdir=$(PWD) $< || true
+	@echo "if asciidoc isn't found the html file included in the sources is copied"
+	$(ASCIIDOC) -a toc -a toclevels=3 -a themedir=$(PWD) -a theme=$(THEME) -a stylesdir=$(PWD) \
+		-o $(HTMLDOC) $< || cp $(HTMLDOC).git $(HTMLDOC)
 
 # Alternatively::
 $(OUT)$(DOCNAME).xhtml: $(DOCSOURCE)
