=== debian/changelog ===
subsurface (4.0.2-2build1) trusty; urgency=medium

  * No change rebuild for marble transition

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Mar 2014 00:42:55 -0400

subsurface (4.0.2-2) unstable; urgency=low

  * Fix the FTBFS under HURD

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Jan 2014 19:29:17 +0100

subsurface (4.0.2-1) unstable; urgency=low

  * New upstream release
  * Force the verbose build mode

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Jan 2014 09:29:40 +0100
