=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
                debhelper (>= 9),
                dh-autoreconf,
                libdivecomputer-dev (>= 0.3.0),
+	       libqt4-dev,
+               libqtwebkit-dev,
                libosmgpsmap-dev,
                libgconf2-dev,
-               libgtk2.0-dev,
                libtool,
                libxml2-dev,
                libxslt-dev,
@@ -19,8 +20,9 @@
                pkg-config,
                txt2html,
                libzip-dev,
-               libsqlite3-dev
-Standards-Version: 3.9.4
+               libsqlite3-dev,
+               libmarble-dev
+Standards-Version: 3.9.5
 Homepage: http://subsurface.hohndel.org
 Vcs-Git: git://git.debian.org/pkg-running/subsurface.git
 Vcs-Browser: http://git.debian.org/?p=pkg-running/subsurface.git;a=summary
