=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- V=1
 
 override_dh_auto_build:
 	CLCFLAGS="$(shell dpkg-buildflags --get CFLAGS)" make
