=== debian/watch ===
version=3
http://subsurface.hohndel.org/downloads/Subsurface-(.*).tgz
