## subsurface 4.0.3

=== debian/changelog ===
subsurface (4.0.3-2build1) utopic; urgency=medium

  * Rebuild against libmarblewidget19.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jul 2014 00:44:52 +0100

subsurface (4.0.3-2) unstable; urgency=medium

  * Make sure subsurface builds on all archs (Closes: #738438)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 May 2014 15:21:27 +0200

subsurface (4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Feb 2014 11:55:51 +0100
